slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPRIIGetKSP

Retrieve the linear solver object (KSP) associated with the nonlinear eigenvalue solver.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPRIIGetKSP(NEP nep,KSP *ksp)

Collective

### Input Parameter

| nep | - nonlinear eigenvalue solver

### Output Parameter

| ksp | - the linear solver object

### See Also

NEPRIISetKSP()

### Level

advanced

### Location

src/nep/impls/rii/rii.c

### Examples

src/nep/tutorials/ex21.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages